Bug 1018549 - needless libunwind dependency
needless libunwind dependency
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
Blocks: 1018550
  Show dependency treegraph
Reported: 2013-10-13 03:35 EDT by Jan Kratochvil
Modified: 2014-03-20 21:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1018550 (view as bug list)
Last Closed: 2014-03-20 21:58:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 70746 None None None Never

  None (edit)
Description Jan Kratochvil 2013-10-13 03:35:41 EDT
I have found Fedora xorg-x11-server depends on libunwind.  There is a longterm plan to obsolete libunwind from Fedora by new elfutils unwinder.  But xorg-x11-server does not even need any external (non-glibc) unwinder.

According to

you do only self-backtrace (called local unwinding by libunwind).  glibc
backtrace() can do the same.  According to the sample backtrace in the patch
above the backtrace addresses there are the same in before/after cases,
libunwind only adds resolving of address -> symbol name there, IIUC.

address -> symbol name resolving can be done with RH-supported elfutils
package, a simple self-backtrace with symbol resolving is for example:
Comment 1 Peter Hutterer 2013-10-22 01:11:07 EDT
moved upstream https://bugs.freedesktop.org/show_bug.cgi?id=70746
Comment 2 Peter Hutterer 2014-03-20 21:58:18 EDT
Discussion from upstream ended with:
"That is without fork()+exec() libunwind is currently the best there is for

Closing this for now

Note You need to log in before you can comment on or make changes to this bug.